Commit: 624
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 9 11:29:30 2011 +0000

    doc: fix icons install location.

 doc/Makefile.am |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

Commit: 623
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 9 01:19:59 2011 +0000

    build: fix a problem with `--with-assetdir` and make sure the flag
    name does not have an `s'.

 PACKAGERS               |    4 ++--
 configure.ac            |   12 ++++++------
 data/Makefile.am        |   10 +++++-----
 src/sdlport/Makefile.am |    2 +-
 src/sdlport/setup.cpp   |    4 ++--
 5 files changed, 16 insertions(+), 16 deletions(-)

Commit: 622
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 9 01:19:55 2011 +0000

    doc: add Antti to the list of packagers, and add a warning message when
    building a full tarball.

 Makefile.am |    7 ++++---
 PACKAGERS   |    1 +
 2 files changed, 5 insertions(+), 3 deletions(-)

Commit: 621
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 9 01:19:51 2011 +0000

    doc: update changelog and various documentation files.

 ChangeLog | 4652 ++++++++++++++++++++++++++++++++++++++++---------------------
 NEWS      |    9 +
 README    |   76 +-
 3 files changed, 3139 insertions(+), 1598 deletions(-)

Commit: 619
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 23:35:56 2011 +0000

    game: allow to load and save 15 games instead of 5.

 data/art/icons.spe |  Bin 178505 -> 201845 bytes
 src/loadgame.cpp   |    2 +-
 2 files changed, 1 insertions(+), 1 deletions(-)

Commit: 618
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 22:55:31 2011 +0000

    doc: update the AUTHORS file.

 AUTHORS |   34 ++++++++++++++++++++++------------
 1 files changed, 22 insertions(+), 12 deletions(-)

Commit: 617
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 22:55:27 2011 +0000

    music: open audio device with a better output quality. Even if our
    sound samples are still only 8-bit, the MIDI music will benefit from it.

 src/sdlport/sound.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 616
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 22:55:23 2011 +0000

    music: make the HMI decoder closer to the global coding style.

 src/sdlport/hmi.cpp   |  174 +++++++++++++++++++++++++------------------------
 src/sdlport/hmi.h     |   13 ++++-
 src/sdlport/sound.cpp |    2 +-
 3 files changed, 102 insertions(+), 87 deletions(-)

Commit: 615
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 22:55:18 2011 +0000

    tool: fix a crash in abuse-tool.

 TODO                    |    2 --
 src/tool/abuse-tool.cpp |    6 +++---
 2 files changed, 3 insertions(+), 5 deletions(-)

Commit: 614
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 22:55:14 2011 +0000

    build: add a `--with-assetsdir' configure flag to specify where the
    game data should be installed.

 PACKAGERS               |   11 ++++++++---
 configure.ac            |   47 ++++++++++++++++++++++++++---------------------
 data/Makefile.am        |   12 +++++-------
 src/sdlport/Makefile.am |    7 ++++---
 src/sdlport/setup.cpp   |    8 ++------
 5 files changed, 45 insertions(+), 40 deletions(-)

Commit: 613
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 21:00:39 2011 +0000

    src: remove some unused files and document the remaining few we still have.

 TODO                 |   35 ++-
 src/imlib/glview.cpp |   74 ----
 src/letters.cpp      | 1107 --------------------------------------------------
 src/parse.cpp        |  168 --------
 src/parse.h          |   28 --
 src/scene.cpp        |  716 --------------------------------
 src/scene.h          |   18 -
 src/sdlport/jnet.cpp |   57 ---
 src/sdlport/jnet.h   |   66 ---
 src/status.cpp       |   81 ----
 src/tester.cpp       |   42 --
 11 files changed, 27 insertions(+), 2365 deletions(-)

Commit: 612
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 21:00:33 2011 +0000

    doc: move icons to the doc/ subdirectory.

 Makefile.am     |    5 +----
 abuse.bmp       |  Bin 4218 -> 0 bytes
 abuse.png       |  Bin 768 -> 0 bytes
 doc/Makefile.am |    5 +++++
 doc/abuse.bmp   |  Bin 0 -> 4218 bytes
 doc/abuse.png   |  Bin 0 -> 768 bytes
 6 files changed, 6 insertions(+), 4 deletions(-)

Commit: 611
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:33:00 2011 +0000

    doc: add more detailed copying information.

 COPYING       |  354 ++++-----------------------------------------------------
 COPYING.GPL   |  340 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 COPYING.WTFPL |   14 +++
 Makefile.am   |    2 +-
 4 files changed, 375 insertions(+), 335 deletions(-)

Commit: 610
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:56 2011 +0000

    doc: put manual pages in the doc/ directory.

 .gitignore          |    4 +-
 Makefile.am         |    4 +-
 abuse-tool.6.in     |   56 --------------------
 abuse.6.in          |  145 ---------------------------------------------------
 configure.ac        |    7 ++-
 doc/Makefile.am     |    3 +
 doc/abuse-tool.6.in |   56 ++++++++++++++++++++
 doc/abuse.6.in      |  145 +++++++++++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 211 insertions(+), 209 deletions(-)

Commit: 609
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:52 2011 +0000

    build: allow to specify --disable-nonfree to avoid installing non-free data
    and build stripped down tarballs.

 INSTALL          |   29 ++++++++++++-----------------
 Makefile.am      |   12 +++++++++++-
 PACKAGERS        |   24 ++++++++++++++++++++++++
 configure.ac     |   13 +++++++++++++
 data/Makefile.am |   31 ++++++++++++++++++-------------
 5 files changed, 78 insertions(+), 31 deletions(-)

Commit: 608
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:49 2011 +0000

    build: set package version to 0.8.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 607
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:45 2011 +0000

    build: install data in properly named subdirectories.

 data/Makefile.am |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

Commit: 606
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:41 2011 +0000

    build: ensure that `make dist' distributes all data files.

 Makefile.am                    |    2 +-
 configure.ac                   |    3 +-
 data/Makefile.am               |  269 ++++++++++++++++++++++++++++++++++++++++
 data/addon/aliens/aliens.al2   |   11 --
 data/addon/aliens/aliens.txt   |   11 ++
 data/addon/leon/leon.bat       |    3 -
 data/addon/leon/leon.txt       |    2 +
 data/addon/pong/pong.bat       |    3 -
 data/addon/pong/pong.txt       |   11 ++-
 data/addon/pong/pongedit.bat   |    3 -
 data/addon/twist/readme.txt    |   82 +++++++------
 data/addon/twist/twist.bat     |    3 -
 data/addon/twist/twistedit.bat |    3 -
 data/addon/twist/twistlev.bat  |    3 -
 data/levels/mac/mvscr          |   22 ----
 gamma.lsp                      |    1 -
 16 files changed, 340 insertions(+), 92 deletions(-)

Commit: 605
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:32 2011 +0000

    build: fix errors in the makefiles that prevent `make dist' from working.

 src/Makefile.am       |    4 +-
 src/imlib/Makefile.am |    2 +-
 src/imlib/visobj.cpp  |   92 -------------------------------------------------
 src/imlib/visobj.h    |   40 ++++-----------------
 4 files changed, 10 insertions(+), 128 deletions(-)

Commit: 604
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:28 2011 +0000

    doc: write a manual page for abuse-tool.

 .gitignore      |    1 +
 Makefile.am     |    4 +-
 abuse-tool.6.in |   56 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 abuse.6.in      |   13 +++++++----
 configure.ac    |    1 +
 5 files changed, 68 insertions(+), 7 deletions(-)

Commit: 603
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 15:32:24 2011 +0000

    game: refactor the framerate logic so that it predicts framerate based
    on time averages rather than frames per second averages.

 src/game.cpp |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

Commit: 602
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:39:14 2011 +0000

    data: put fRaBs level in the main directory.

 [...]
 55 files changed, 0 insertions(+), 0 deletions(-)

Commit: 601
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:29:51 2011 +0000

    build: minor cleanup in the root directory.

 Makefile.am    |    5 ++-
 abuse.bmp      |  Bin 3126 -> 4218 bytes
 abuse.lsp      |   62 --------------------------------------------------------
 abuse.png      |  Bin 642 -> 768 bytes
 data/abuse.lsp |    2 +-
 5 files changed, 4 insertions(+), 65 deletions(-)

Commit: 600
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:22:22 2011 +0000

    build: add svn:ignore property for abuse-tool.

Commit: 599
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:18:35 2011 +0000

    data: remove empty directories from the archive.

Commit: 598
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:13:33 2011 +0000

    data: merge all Mac Abuse files into the main assets.

 data-mac/art/back/backgrnd.spe |  Bin 35418 -> 0 bytes
 data-mac/art/dev.spe           |  Bin 13481 -> 0 bytes
 data-mac/art/endgame.spe       |  Bin 933739 -> 0 bytes
 data-mac/art/fonts.spe         |  Bin 78231 -> 0 bytes
 data-mac/art/frame.spe         |  Bin 957914 -> 0 bytes
 data-mac/art/help.spe          |  Bin 564104 -> 0 bytes
 data-mac/art/icons.spe         |  Bin 127465 -> 0 bytes
 data-mac/art/smoke.spe         |  Bin 346549 -> 0 bytes
 data-mac/art/title.spe         |  Bin 356357 -> 0 bytes
 data/art/back/backgrnd.spe     |  Bin 35418 -> 69013 bytes
 data/art/dev.spe               |  Bin 13395 -> 13601 bytes
 data/art/fonts.spe             |  Bin 54910 -> 101562 bytes
 data/art/fore/endgame.spe      |  Bin 268139 -> 1138621 bytes
 data/art/frame.spe             |  Bin 107365 -> 1059581 bytes
 data/art/help.spe              |  Bin 320904 -> 384931 bytes
 data/art/icons.spe             |  Bin 75071 -> 178505 bytes
 data/art/smoke.spe             |  Bin 74564 -> 420350 bytes
 data/art/title.spe             |  Bin 539291 -> 831630 bytes
 18 files changed, 0 insertions(+), 0 deletions(-)

Commit: 597
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:13:21 2011 +0000

    data: move level files around.

 [...]
 116 files changed, 22 insertions(+), 22 deletions(-)

Commit: 596
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:13:16 2011 +0000

    data: merge the last fRaBs and Mac addons into the main data directory.

 [...]
 44 files changed, 281 insertions(+), 379 deletions(-)

Commit: 595
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:13:12 2011 +0000

    data: remove old Mac binaries.

 data-mac/Abuse 1.01   |  Bin 682439 -> 0 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

Commit: 594
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 8 10:13:08 2011 +0000

    data: merge abuse.lsp from all Abuse versions.

 data-frabs/abuse.lsp            |   63 --------------------
 data-mac/abuse.lsp              |   48 ---------------
 data/abuse.lsp                  |   31 ++++++++--
 data/addon/twist/lisp/dray.lsp  |   11 +---
 data/addon/twist/lisp/input.lsp |  123 ---------------------------------------
 data/addon/twist/twist.lsp      |    3 +-
 data/lisp/input.lsp             |   86 +++++++++++++++++++++++++--
 7 files changed, 108 insertions(+), 257 deletions(-)

Commit: 593
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 16:40:05 2011 +0000

    data: remove exact duplicates in the Mac Abuse art and level files.

 [...]
 82 files changed, 0 insertions(+), 256 deletions(-)

Commit: 592
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 16:39:59 2011 +0000

    doc: move Frabs documentation to doc/.

 [...]
 134 files changed, 6269 insertions(+), 6269 deletions(-)

Commit: 591
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 16:39:49 2011 +0000

    doc: add screenshots of the main maps.

 [...]
 59 files changed, 0 insertions(+), 0 deletions(-)

Commit: 590
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 15:12:10 2011 +0000

    data: merge registered data into the main data directory.

 [...]
 43 files changed, 469 insertions(+), 819 deletions(-)

Commit: 589
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 14:06:03 2011 +0000

    data: remove exact duplicate Lisp files, merge all main space Lisp files,
    and move most frabs addons to the main data directory.

 [...]
 440 files changed, 11054 insertions(+), 25281 deletions(-)

Commit: 588
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 14:05:55 2011 +0000

    data: move original Abuse files to our main data directory and move
    the Bong addon for Abuse Mac in there, too.

 [...]
 137 files changed, 7320 insertions(+), 7335 deletions(-)

Commit: 587
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat May 7 14:05:50 2011 +0000

    data: remove the analyser script; its job is finished.

 data/analyze.py |   79 -------------------------------------------------------
 1 files changed, 0 insertions(+), 79 deletions(-)

Commit: 586
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri May 6 17:55:05 2011 +0000

    data: create an analyzer script to compare level files.

 data/analyze.py |   79 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 79 insertions(+), 0 deletions(-)

Commit: 585
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri May 6 17:47:13 2011 +0000

    tool: compute and display SPEC item CRCs.

 src/Makefile.am         |    3 +-
 src/crc.cpp             |   18 +++++++--------
 src/crc.h               |    5 ++-
 src/tool/abuse-tool.cpp |   53 +++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 60 insertions(+), 19 deletions(-)

Commit: 584
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu May 5 22:47:36 2011 +0000

    doc: update the TODO list.

 TODO |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

Commit: 583
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu May 5 22:47:28 2011 +0000

    data: merge the old Abuse and the Frabs artwork, and a little bit of
    the Mac Abuse artwork.

 [...]
 261 files changed, 263 insertions(+), 537 deletions(-)

Commit: 582
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu May 5 22:47:14 2011 +0000

    data: remove \r and trailing spaces and tabs from all Lisp sources.

 [...]
 146 files changed, 2509 insertions(+), 2512 deletions(-)

Commit: 581
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu May 5 19:35:12 2011 +0000

    data: put all old data in the abuse directory, where the final merging
    will take place.

 [...]
 733 files changed, 40393 insertions(+), 0 deletions(-)

Commit: 579
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu May 5 10:36:33 2011 +0000

    imlib: refactor the Filter and ColorFilter classes.

 [...]
 23 files changed, 195 insertions(+), 249 deletions(-)

Commit: 578
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue May 3 22:43:26 2011 +0000

    game: make the title text scroll both slower and longer.

 src/game.cpp |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

Commit: 577
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue May 3 13:02:52 2011 +0000

    game: get rid of milli_wait() and rewrite the fixed framerate handling.

 src/ant.cpp            |    4 +-
 src/cop.cpp            |    2 +-
 src/demo.cpp           |    2 +-
 src/game.cpp           |  127 +++++++++++++++++++----------------------------
 src/imlib/timing.h     |    4 --
 src/menu.cpp           |    4 +-
 src/netcfg.cpp         |    6 ++-
 src/sdlport/event.cpp  |    5 ++-
 src/sdlport/timing.cpp |   16 ------
 9 files changed, 65 insertions(+), 105 deletions(-)

Commit: 576
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 2 12:28:20 2011 +0000

    game: properly time the fade in and fade out effects, as well as the
    introduction scrolling.

 src/game.cpp |   56 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 28 insertions(+), 28 deletions(-)

Commit: 575
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 2 11:41:49 2011 +0000

    game: merge fade_in and fade_out into a single template.

 src/game.cpp |   85 +++++++++++++++++++++++++--------------------------------
 1 files changed, 37 insertions(+), 48 deletions(-)

Commit: 574
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon May 2 11:41:41 2011 +0000

    lol: add the cross-platform Timer class from Lol Engine.

 src/Makefile.am   |    1 +
 src/common.h      |    3 +
 src/lol/timer.cpp |  162 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/lol/timer.h   |   41 +++++++++++++
 4 files changed, 207 insertions(+), 0 deletions(-)

Commit: 573
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 23:21:32 2011 +0000

    data: empty abuse-lib and abuse-sfx and add a README note to warn
    about they deprecation.

 data/icon.ico |  Bin 0 -> 766 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

Commit: 572
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 23:14:41 2011 +0000

    data: import music files from abuse-data, and remove the ones from
    abuse-frabs, they're incomplete.

 data/music/abuse00.hmi |  Bin 0 -> 6173 bytes
 data/music/abuse01.hmi |  Bin 0 -> 8136 bytes
 data/music/abuse02.hmi |  Bin 0 -> 14553 bytes
 data/music/abuse03.hmi |  Bin 0 -> 8136 bytes
 data/music/abuse04.hmi |  Bin 0 -> 10550 bytes
 data/music/abuse06.hmi |  Bin 0 -> 20577 bytes
 data/music/abuse08.hmi |  Bin 0 -> 32889 bytes
 data/music/abuse09.hmi |  Bin 0 -> 8684 bytes
 data/music/abuse11.hmi |  Bin 0 -> 9684 bytes
 data/music/abuse13.hmi |  Bin 0 -> 9036 bytes
 data/music/abuse15.hmi |  Bin 0 -> 11490 bytes
 data/music/abuse17.hmi |  Bin 0 -> 10628 bytes
 data/music/intro.hmi   |  Bin 0 -> 33255 bytes
 data/music/playhmp.lsp |    3 +++
 data/music/victory.hmi |  Bin 0 -> 11490 bytes
 15 files changed, 3 insertions(+), 0 deletions(-)

Commit: 570
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 23:04:56 2011 +0000

    data: import `netlevel' from both abuse-data and abuse-frabs, giving us
    two sets of multiplayer levels.

 [...]
 32 files changed, 0 insertions(+), 0 deletions(-)

Commit: 569
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 22:56:38 2011 +0000

    data: import `register' directory from abuse-data. It's exactly the
    same in all other datasets.

 data/register/alien.spe   |  Bin 0 -> 36528 bytes
 data/register/alienb.spe  |  Bin 0 -> 55429 bytes
 data/register/ant.lsp     |  138 +++++++++++++++++++++++++++++++++++++++++++++
 data/register/boss.spe    |  Bin 0 -> 11822 bytes
 data/register/english.lsp |    1 +
 data/register/flyer.lsp   |   58 +++++++++++++++++++
 data/register/galien.spe  |  Bin 0 -> 39040 bytes
 data/register/green2.spe  |  Bin 0 -> 126448 bytes
 data/register/micron.vcd  |  Bin 0 -> 75 bytes
 data/register/people.lsp  |    8 +++
 data/register/powerup.lsp |   53 +++++++++++++++++
 data/register/tiles.lsp   |   40 +++++++++++++
 data/register/trees.spe   |  Bin 0 -> 51410 bytes
 data/register/trees2.spe  |  Bin 0 -> 17579 bytes
 data/register/weapons.lsp |  128 +++++++++++++++++++++++++++++++++++++++++
 15 files changed, 426 insertions(+), 0 deletions(-)

Commit: 568
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 22:54:17 2011 +0000

    data: import SFX directory from abuse-mac, and get rid of it in all the
    other datasets we have. They are all the same anyway, except the Mac
    version has a voice/ subdirectory.

 [...]
 98 files changed, 0 insertions(+), 0 deletions(-)

Commit: 567
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun May 1 22:49:58 2011 +0000

    imlib: add explicit enum values for easier source code reading.

 src/imlib/specs.h |   46 +++++++++++++++++++++++-----------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

Commit: 565
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Apr 30 23:12:21 2011 +0000

    core: add more argument types to Min() and Max().

 src/common.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 564
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Apr 30 23:12:15 2011 +0000

    tool: fix an off-by-one error in the `put' and `putpcx' commands.

 src/tool/abuse-tool.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 563
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:49:15 2011 +0000

    lisp: minor refactoring.

 src/lisp/lisp.cpp |   42 ++++++++++++------------------------------
 1 files changed, 12 insertions(+), 30 deletions(-)

Commit: 562
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:59 2011 +0000

    music: fix incorrect music volume set upon restart.

 src/game.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 561
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:57 2011 +0000

    lisp: fix a memory leak in the grow stack objets and refactor the class.

 src/game.cpp         |    4 ---
 src/lisp/lisp.cpp    |   38 ++++++++++++++++++----------------
 src/lisp/lisp_gc.cpp |   17 ++++++---------
 src/lisp/lisp_gc.h   |    4 +-
 src/lisp/stack.h     |   54 +++++++++++++++++++++++++-------------------------
 5 files changed, 56 insertions(+), 61 deletions(-)

Commit: 560
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:53 2011 +0000

    lisp: remove arguments to lisp_init(), they are no longer useful now
    that we can dynamically resize everything.

 src/game.cpp      |    4 ++--
 src/lisp/lisp.cpp |   37 ++++++++++++++++++-------------------
 src/lisp/lisp.h   |    2 +-
 3 files changed, 21 insertions(+), 22 deletions(-)

Commit: 559
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:51 2011 +0000

    lisp: remove space resizing methods, they're useless now that automatic
    grow works.

 src/lisp/lisp.cpp |   36 ++----------------------------------
 src/loader2.cpp   |    1 -
 2 files changed, 2 insertions(+), 35 deletions(-)

Commit: 558
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:47 2011 +0000

    lisp: some refactoring and code removal in the Lisp GC.

 src/lisp/lisp.cpp    |    8 ++--
 src/lisp/lisp_gc.cpp |  135 +++++++++++++++++++------------------------------
 src/lisp/lisp_gc.h   |   24 ++++++---
 3 files changed, 73 insertions(+), 94 deletions(-)

Commit: 557
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:44 2011 +0000

    lisp: fix a crash in the garbage collection of cons_cells lying outside
    of main space.

 src/lisp/lisp_gc.cpp |  155 ++++++++++++++++++++++++++------------------------
 1 files changed, 80 insertions(+), 75 deletions(-)

Commit: 556
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 22:24:41 2011 +0000

    build: fix a spurious newline in configure.ac.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 555
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 29 19:18:23 2011 +0000

    ps3: make everything compile on the PS3. Of course, nothing links yet
    because so much support is missing.

 [...]
 209 files changed, 874 insertions(+), 600 deletions(-)

Commit: 554
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 23:39:32 2011 +0000

    lisp: if the Lisp permanent space grows out of memory, grow the space
    during GCs instead of dying.

 src/game.cpp         |    2 +-
 src/lisp/lisp.cpp    |    7 +++++--
 src/lisp/lisp_gc.cpp |    8 +++++++-
 src/lisp/lisp_gc.h   |    2 +-
 4 files changed, 14 insertions(+), 5 deletions(-)

Commit: 553
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 23:39:28 2011 +0000

    lisp: remove old debug code.

 src/lisp/lisp_gc.cpp |   23 +----------------------
 1 files changed, 1 insertions(+), 22 deletions(-)

Commit: 552
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 23:15:09 2011 +0000

    sdlport: use SDL_Mixer to read samples, and get rid of imlib's readwav.

 src/imlib/Makefile.am |    1 -
 src/imlib/readwav.cpp |  122 -------------------------------------------------
 src/imlib/readwav.h   |   18 -------
 src/sdlport/sound.cpp |   91 +++++++++++++++---------------------
 src/sdlport/sound.h   |    9 ++--
 5 files changed, 42 insertions(+), 199 deletions(-)

Commit: 551
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 23:15:05 2011 +0000

    sdlport: make SDL_mixer mandatory. I'm not going to maintain legacy code
    that cannot even play music.

 configure.ac          |    8 +-
 src/sdlport/sound.cpp |  216 ++-----------------------------------------------
 src/sdlport/sound.h   |    8 +--
 3 files changed, 13 insertions(+), 219 deletions(-)

Commit: 550
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 22:24:47 2011 +0000

    tool: implement the `type', `put' and `putpcx' commands.

 src/tool/abuse-tool.cpp |   98 ++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 88 insertions(+), 10 deletions(-)

Commit: 549
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 22:24:43 2011 +0000

    imlib: bring back the old PCX reading code.

 src/imlib/pcxread.cpp |   97 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/imlib/pcxread.h   |    1 +
 2 files changed, 98 insertions(+), 0 deletions(-)

Commit: 548
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 28 22:24:38 2011 +0000

    tool: implement the `rename' and `del' commands.

 src/imlib/specs.cpp     |    5 +--
 src/tool/abuse-tool.cpp |   58 +++++++++++++++++++++++++++++++++++++---------
 2 files changed, 48 insertions(+), 15 deletions(-)

Commit: 547
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 27 23:56:27 2011 +0000

    tool: implement the "getpcx" and "move" commands.

 src/tool/abuse-tool.cpp |   57 +++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 55 insertions(+), 2 deletions(-)

Commit: 546
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 27 23:56:23 2011 +0000

    imlib: implement spec_directory::FullyLoad to force loading all
    assets into memory.

 src/imlib/specs.cpp |   59 +++++++++++++++++++++++++++++++++++++-------------
 src/imlib/specs.h   |   54 ++++++++++++++++++++++------------------------
 2 files changed, 69 insertions(+), 44 deletions(-)

Commit: 545
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 27 23:07:43 2011 +0000

    core: fix a few security issues caused by unchecked string operations,
    reported in ticket #25.

 src/dev.cpp     |    3 ++-
 src/innet.cpp   |    5 ++++-
 src/loader2.cpp |   10 +++++-----
 3 files changed, 11 insertions(+), 7 deletions(-)

Commit: 544
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 27 23:07:39 2011 +0000

    imlib: get rid of fast path loading, it was no longer used. We also
    delete the old cache file we put in the user's directory.

 src/game.cpp        |   17 +++------
 src/imlib/specs.cpp |   87 ++------------------------------------------------
 2 files changed, 10 insertions(+), 94 deletions(-)

Commit: 543
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 24 08:33:50 2011 +0000

    tool: implement `get' in abuse-tool.

 src/tool/abuse-tool.cpp |  121 +++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 107 insertions(+), 14 deletions(-)

Commit: 542
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 24 08:33:45 2011 +0000

    imlib: do not set the executable flag on files we create.

 src/imlib/specs.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 541
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 24 08:33:40 2011 +0000

    imlib: rename TImage to TransImage for readability.

 src/cache.h              |    2 +-
 src/game.cpp             |    2 +-
 src/game.h               |    2 +-
 src/go.cpp               |    2 +-
 src/imlib/Makefile.am    |    2 +-
 src/imlib/fonts.cpp      |    2 +-
 src/imlib/fonts.h        |    4 +-
 src/imlib/supmorph.cpp   |    6 +-
 src/imlib/supmorph.h     |    4 +-
 src/imlib/timage.cpp     |  361 ----------------------------------------------
 src/imlib/timage.h       |   72 ---------
 src/imlib/transimage.cpp |  361 ++++++++++++++++++++++++++++++++++++++++++++++
 src/imlib/transimage.h   |   72 +++++++++
 src/items.cpp            |    8 +-
 src/items.h              |    6 +-
 src/morpher.cpp          |    4 +-
 src/objects.cpp          |   14 +-
 src/objects.h            |    2 +-
 src/scene.cpp            |    1 -
 src/seq.h                |    5 +-
 20 files changed, 466 insertions(+), 466 deletions(-)

Commit: 540
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 24 08:33:34 2011 +0000

    tool: get rid of the specfile additions and implement a general purpose
    SPEC file edition tool.

 .gitignore              |    1 +
 src/Makefile.am         |    7 +++-
 src/imlib/specs.cpp     |   83 ----------------------------------------
 src/imlib/specs.h       |    2 -
 src/sdlport/setup.cpp   |    5 --
 src/tool/abuse-tool.cpp |   97 +++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 104 insertions(+), 91 deletions(-)

Commit: 539
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 22:48:59 2011 +0000

    imlib: implement a small spec file dumper. "abuse -export foo.spe" will
    extract the contents of the file and create PCX files from the images.

 src/imlib/specs.cpp   |   89 +++++++++++++++++++++++++++++++++++++++++++++--
 src/imlib/specs.h     |   91 ++++++++++++++++++++++++++++---------------------
 src/sdlport/setup.cpp |    5 +++
 3 files changed, 142 insertions(+), 43 deletions(-)

Commit: 538
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 22:48:48 2011 +0000

    game: add enough code to handle 15 save slots instead of 5. The artwork
    is still missing, though.

 src/loadgame.cpp |   49 +++++++++++++++++++++++++++++--------------------
 1 files changed, 29 insertions(+), 20 deletions(-)

Commit: 537
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 22:48:45 2011 +0000

    build: try to autodetect SDL_Mixer upon build.

 configure.ac |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

Commit: 536
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 22:48:41 2011 +0000

    sdlport: add some error reporting to the new SDL_Mixer features.

 src/sdlport/sound.cpp |   51 ++++++++++++++++++++++++++++--------------------
 1 files changed, 30 insertions(+), 21 deletions(-)

Commit: 535
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 19:14:41 2011 +0000

    imlib: fix an old bug in the linked list that used to cause a memory
    leak because not all elements were destroyed, but now simply crashes.

 src/imlib/linked.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 534
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 17:32:17 2011 +0000

    imlib: remove a lot of dead code, especially from the linked list and
    the WAV reader.

 src/clisp.h           |    3 +-
 src/configuration.cpp |    4 -
 src/imlib/convert.cpp |   52 ------------
 src/imlib/image.cpp   |   16 ++--
 src/imlib/jwindow.h   |    1 -
 src/imlib/linked.cpp  |  177 ++++++++++++-----------------------------
 src/imlib/linked.h    |   99 +++++++----------------
 src/imlib/palette.cpp |    6 +-
 src/imlib/readwav.cpp |  210 ++++++++++++++++++-------------------------------
 src/imlib/readwav.h   |   11 +--
 src/imlib/specs.h     |    6 --
 src/imlib/sprite.cpp  |    5 +
 src/imlib/video.cpp   |    4 +-
 src/objects.cpp       |   11 ---
 src/sdlport/sound.cpp |    2 +-
 src/sdlport/sound.h   |   68 +++++++---------
 16 files changed, 212 insertions(+), 463 deletions(-)

Commit: 533
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 17:32:13 2011 +0000

    imlib: rename trans_image to TImage. The code is now clean enough.

 src/cache.h            |    2 +-
 src/dev.cpp            |    2 +-
 src/devsel.cpp         |    4 +-
 src/endgame.cpp        |    4 +-
 src/game.cpp           |   12 ++--
 src/game.h             |    2 +-
 src/go.cpp             |    2 +-
 src/imlib/fonts.cpp    |    6 +-
 src/imlib/fonts.h      |    2 +-
 src/imlib/supmorph.cpp |    4 +-
 src/imlib/supmorph.h   |    2 +-
 src/imlib/timage.cpp   |  135 +++++++++++++++++++++++++-----------------------
 src/imlib/timage.h     |   35 ++++++------
 src/items.cpp          |    6 +-
 src/items.h            |    4 +-
 src/morpher.cpp        |    4 +-
 src/objects.cpp        |   42 ++++++++--------
 src/objects.h          |    2 +-
 src/seq.h              |    2 +-
 19 files changed, 138 insertions(+), 134 deletions(-)

Commit: 532
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 17:32:09 2011 +0000

    imlib: reimplement trans_image::put_scan_line so that it uses the
    common template for all blitting functions.

 src/go.cpp           |    2 +-
 src/imlib/timage.cpp |  119 ++++++++++---------------------------------------
 src/imlib/timage.h   |   96 ++++++++++++++++++++--------------------
 src/objects.cpp      |    2 +-
 4 files changed, 76 insertions(+), 143 deletions(-)

Commit: 531
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 17:32:05 2011 +0000

    imlib: simplify trans_image::make_image and rewrite the constructor.

 src/imlib/timage.cpp |  166 +++++++++++++++++++++++---------------------------
 src/imlib/timage.h   |    9 ++-
 src/morpher.cpp      |    4 +-
 3 files changed, 83 insertions(+), 96 deletions(-)

Commit: 530
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 17:32:01 2011 +0000

    imlib: remove trans_image::put_image_offseted, it's simply a version
    of PutImage that skips the bounds checks. Yaddah yaddah modern hardware
    blah.

 src/game.cpp         |    6 +-----
 src/imlib/timage.cpp |   39 ---------------------------------------
 src/imlib/timage.h   |    4 ----
 3 files changed, 1 insertions(+), 48 deletions(-)

Commit: 529
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:15:08 2011 +0000

    imlib: remove unused bFILE::set_read_buffer_size.

 src/imlib/specs.cpp |   10 ----------
 src/imlib/specs.h   |    1 -
 2 files changed, 0 insertions(+), 11 deletions(-)

Commit: 528
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:13:08 2011 +0000

    imlib: merge almost all trans_image blit methods into one large template
    function and refactor them for size.

 src/dev.cpp          |    2 +-
 src/devsel.cpp       |    4 +-
 src/endgame.cpp      |    4 +-
 src/game.cpp         |    8 +-
 src/imlib/fonts.cpp  |    4 +-
 src/imlib/timage.cpp |  826 +++++++++-----------------------------------------
 src/imlib/timage.h   |   40 ++-
 src/objects.cpp      |   14 +-
 8 files changed, 184 insertions(+), 718 deletions(-)

Commit: 527
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:13:04 2011 +0000

    imlib: some cleaning up in trans_image before I templatise half of it.

 src/clisp.cpp          |    6 +-
 src/cop.cpp            |    6 +-
 src/dev.cpp            |    2 +-
 src/devsel.cpp         |    4 +-
 src/imlib/supmorph.cpp |   16 +++---
 src/imlib/timage.cpp   |  158 ++++++++++++++++++++++--------------------------
 src/imlib/timage.h     |   24 +++----
 src/items.cpp          |    8 +--
 src/items.h            |   25 ++------
 src/level.cpp          |    2 +-
 src/loader2.cpp        |    4 +-
 src/objects.cpp        |   32 +++++-----
 src/objects.h          |    2 +-
 src/seq.cpp            |   14 ++---
 src/seq.h              |    2 +-
 15 files changed, 136 insertions(+), 169 deletions(-)

Commit: 526
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:13:00 2011 +0000

    imlib: get rid of temporary memory allocations in image::FlipX()
    and image::FlipY().

 src/imlib/image.cpp |   57 ++++++++++++++++++++++++--------------------------
 src/imlib/image.h   |    4 +-
 src/items.cpp       |    2 +-
 3 files changed, 30 insertions(+), 33 deletions(-)

Commit: 525
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:12:56 2011 +0000

    core: replace all byte swapping macros with inline functions.

 src/common.h        |   28 ++++++++++------------------
 src/imlib/specs.cpp |   47 ++++++++++-------------------------------------
 src/imlib/specs.h   |    4 ----
 3 files changed, 20 insertions(+), 59 deletions(-)

Commit: 524
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:12:53 2011 +0000

    core: Get rid of mostly useless headers, move endianness handling to
    common.h (and rewrite functions so that they do not need the SDL headers)
    and move a few functions out of sdlport's video.cpp. These functions
    were in the original video.cpp (which reappears) and shouldn't be part
    of the SDL port.

 [...]
 59 files changed, 135 insertions(+), 233 deletions(-)

Commit: 523
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:12:48 2011 +0000

    imlib: remove dead code.

 src/game.cpp          |    4 +-
 src/imlib/filter.cpp  |    4 +-
 src/imlib/image.cpp   |  183 +++++-------------------------------------------
 src/imlib/image.h     |   31 +--------
 src/imlib/include.cpp |    6 +-
 src/imlib/pcxread.cpp |    7 +--
 src/imlib/video.h     |    1 -
 src/loader2.cpp       |    2 +-
 src/loadgame.cpp      |    2 +-
 src/sdlport/video.cpp |    1 -
 10 files changed, 29 insertions(+), 212 deletions(-)

Commit: 522
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 22 02:12:43 2011 +0000

    imlib: change loop logic here and there to be nicer to the cache.

 src/imlib/image.cpp |   49 ++++++++++++++++++++-----------------------------
 1 files changed, 20 insertions(+), 29 deletions(-)

Commit: 521
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 21 19:03:06 2011 +0000

    imlib: remove unused image::make_color and timage::make_color. They were
    probably used for debugging purposes, but we can still revive them when
    we need them.

 src/imlib/image.cpp  |   14 --------------
 src/imlib/image.h    |    1 -
 src/imlib/timage.cpp |   21 ---------------------
 src/imlib/timage.h   |    1 -
 4 files changed, 0 insertions(+), 37 deletions(-)

Commit: 520
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 21 19:03:02 2011 +0000

    imlib: refactor and simplify trans_image::ClipToLine().

 src/imlib/timage.cpp |   88 ++++++++++++++++++++++----------------------------
 src/imlib/timage.h   |    6 ++-
 2 files changed, 43 insertions(+), 51 deletions(-)

Commit: 519
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 21:39:47 2011 +0000

    core: fix a few useless casts.

 src/imlib/event.h     |    2 +-
 src/imlib/image.cpp   |   10 +++++-----
 src/imlib/linked.h    |   17 ++++++++---------
 src/imlib/palette.cpp |    6 +++---
 src/imlib/sprite.cpp  |    8 ++++----
 src/objects.cpp       |   24 +++++++++++++-----------
 src/sdlport/event.cpp |    4 ++--
 src/sdlport/video.cpp |    2 +-
 src/unixnfc.cpp       |    2 +-
 9 files changed, 38 insertions(+), 37 deletions(-)

Commit: 518
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 19:02:33 2011 +0000

    imlib: refactor dirty_rect clipping coordiantes so that the upper
    bound is no longer inclusive. It will make things easier in the future.

 [...]
 23 files changed, 579 insertions(+), 591 deletions(-)

Commit: 517
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 19:02:29 2011 +0000

    imlib: get rid of deprecated morph source files.

 src/imlib/morph.cpp |  915 ---------------------------------------------------
 src/imlib/morph.h   |   52 ---
 src/imlib/morph.hpp |  112 -------
 3 files changed, 0 insertions(+), 1079 deletions(-)

Commit: 516
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 19:02:25 2011 +0000

    lol: import newer matrix.h from Lol Engine.

 src/lol/matrix.h |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

Commit: 515
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 19:02:21 2011 +0000

    imlib: image::Pixel and image::PutPixel now use vec2i arguments.

 src/automap.cpp        |   21 ++--
 src/dev.cpp            |   12 +-
 src/endgame.cpp        |   10 +-
 src/game.cpp           |   24 ++--
 src/imlib/filter.cpp   |   13 +-
 src/imlib/image.cpp    |  298 ++++++++++++++++++++++++------------------------
 src/imlib/image.h      |   35 +++---
 src/imlib/include.cpp  |    2 +-
 src/imlib/scroller.cpp |    4 +-
 src/imlib/timage.cpp   |   56 +++++-----
 src/items.cpp          |    2 +-
 src/level.cpp          |    4 +-
 src/light.cpp          |    4 +-
 src/menu.cpp           |    8 +-
 src/particle.cpp       |   12 +-
 src/sdlport/video.cpp  |   30 +----
 16 files changed, 256 insertions(+), 279 deletions(-)

Commit: 514
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 19:02:17 2011 +0000

    sdlport: get rid of video-overlay.cpp, having a separate file for this
    feature is wrong anyway.

 src/sdlport/video-overlay.cpp |  445 -----------------------------------------
 1 files changed, 0 insertions(+), 445 deletions(-)

Commit: 513
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 20 06:32:26 2011 +0000

    imlib: some more vec2i transition for simplicity.

 src/dev.cpp             |    5 +-
 src/devsel.cpp          |    2 +-
 src/endgame.cpp         |    6 +-
 src/game.cpp            |    2 +-
 src/imlib/fonts.cpp     |    2 +-
 src/imlib/image.cpp     |  273 ++++++++++++++++++++++------------------------
 src/imlib/image.h       |   27 ++---
 src/imlib/jwindow.cpp   |    4 +-
 src/imlib/sprite.cpp    |    8 +-
 src/imlib/timage.cpp    |    2 +-
 src/items.cpp           |    2 +-
 src/level.cpp           |    2 +-
 src/loader2.cpp         |   19 ++--
 src/loadgame.cpp        |    2 +-
 src/menu.cpp            |    4 +-
 src/sdlport/mouse.cpp   |    4 +-
 src/sdlport/video.cpp   |   12 +-
 src/ui/volumewindow.cpp |    2 +-
 src/view.cpp            |    2 +-
 19 files changed, 182 insertions(+), 198 deletions(-)

Commit: 512
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 22:39:27 2011 +0000

    imlib: use vec2i for image::size and unroll all necessary changes
    everywhere else in the code.

 [...]
 70 files changed, 450 insertions(+), 331 deletions(-)

Commit: 511
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 22:39:22 2011 +0000

    build: no longer warn about aggregate return values.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 510
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 22:39:17 2011 +0000

    imlib: get rid of unused bitmap.h, conio.h and main.h.

 src/imlib/Makefile.am |    2 +-
 src/imlib/bitmap.h    |   18 ------------------
 src/imlib/conio.h     |   16 ----------------
 src/imlib/main.h      |   15 ---------------
 4 files changed, 1 insertions(+), 50 deletions(-)

Commit: 509
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 22:39:13 2011 +0000

    core: import matrix.h from the Lol Engine. It's going to be useful.

 src/Makefile.am    |    4 +
 src/common.h       |   18 ++++
 src/lol/matrix.cpp |  170 ++++++++++++++++++++++++++++++
 src/lol/matrix.h   |  289 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 481 insertions(+), 0 deletions(-)

Commit: 508
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 22:39:07 2011 +0000

    sdlport: fix a crash in the command line parsing.

 src/sdlport/setup.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 507
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Apr 19 17:13:51 2011 +0000

    game: coding style fixes to the main loop.

 src/game.cpp |  229 +++++++++++++++++++++++-----------------------------------
 1 files changed, 89 insertions(+), 140 deletions(-)

Commit: 506
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 13:37:17 2011 +0000

    cache: get rid of more Lisp cache code.

 src/cache.cpp |   93 +++++++-------------------------------------------------
 src/cache.h   |    5 +--
 2 files changed, 13 insertions(+), 85 deletions(-)

Commit: 505
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 13:37:12 2011 +0000

    cache: fix a potential crash in CacheList::unreg.

 src/cache.cpp |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

Commit: 504
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 13:03:52 2011 +0000

    lisp: always align the lisp allocator results, even on x86 or architectures
    that have hardware realignment. Get rid of now useless bus_type.h.

 osx/abuse.xcodeproj/project.pbxproj |    2 -
 src/Makefile.am                     |    2 +-
 src/bus_type.h                      |   46 -------------------------------
 src/lcache.cpp                      |    1 -
 src/lisp/lisp.cpp                   |   52 ++++++++++++++++-------------------
 src/lisp/lisp.h                     |    6 ++--
 6 files changed, 28 insertions(+), 81 deletions(-)

Commit: 503
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 13:03:48 2011 +0000

    cache: fix a crash caused by empty SFX objects being reused for other
    purposes but still being deleted later on.

 src/cache.cpp   |  236 ++++++++++++++++++++++++++-----------------------------
 src/cache.h     |   18 ++--
 src/loader2.cpp |    4 +-
 src/seq.cpp     |    2 +-
 4 files changed, 124 insertions(+), 136 deletions(-)

Commit: 502
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 13:03:44 2011 +0000

    lisp: remove debug information from the garbage collector.

 src/lisp/lisp.cpp |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Commit: 501
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 01:22:27 2011 +0000

    lisp: properly manage user functions and reactivate garbage collector.

 src/game.cpp         |    3 --
 src/lisp/lisp.cpp    |   58 +++++++++----------------------------------------
 src/lisp/lisp.h      |   12 +--------
 src/lisp/lisp_gc.cpp |   19 +++++-----------
 4 files changed, 19 insertions(+), 73 deletions(-)

Commit: 500
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Apr 18 01:22:21 2011 +0000

    cache: get rid of the lisp cache code, it cannot be used properly as
    it conflicts with the garbage collector: cached data contains pointers
    that would need to be updated at each collect.

 src/cache.cpp |  102 +++++---------------------------------------------------
 src/lcache.h  |    6 ---
 2 files changed, 10 insertions(+), 98 deletions(-)

Commit: 499
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:57:07 2011 +0000

    lisp: implement LSymbol::EvalUserFunction and ensure all local pointers
    are protected against collection.

 src/ant.cpp       |    2 +-
 src/lisp/lisp.cpp |  174 +++++++++++++++++++++++++++--------------------------
 src/lisp/lisp.h   |    2 +-
 src/objects.cpp   |    4 +-
 src/view.cpp      |    2 +-
 5 files changed, 94 insertions(+), 90 deletions(-)

Commit: 498
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:57:03 2011 +0000

    lisp: implement LSysFunction::EvalFunction and ensure all local pointers
    are protected against collection.

 src/lisp/lisp.cpp | 1824 ++++++++++++++++++++++++++++-------------------------
 src/lisp/lisp.h   |    4 +
 2 files changed, 979 insertions(+), 849 deletions(-)

Commit: 497
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:56:59 2011 +0000

    lisp: implement LSymbol::EvalFunction and ensure all local pointers are
    protected against collection.

 src/cache.cpp        |    2 +-
 src/clisp.cpp        |    6 +-
 src/cop.cpp          |   10 +-
 src/game.cpp         |    4 +-
 src/level.cpp        |    4 +-
 src/lisp/lisp.cpp    |  219 +++++++++++++++++++++++++-------------------------
 src/lisp/lisp.h      |    3 +-
 src/lisp/lisp_gc.cpp |    2 +-
 src/objects.cpp      |   17 ++--
 src/view.cpp         |    4 +-
 10 files changed, 135 insertions(+), 136 deletions(-)

Commit: 496
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:56:55 2011 +0000

    lisp: implement LObject::Eval.

 src/chars.cpp      |   24 ++--
 src/clisp.cpp      |  106 ++++++------
 src/cop.cpp        |   10 +-
 src/dev.cpp        |   12 +-
 src/game.cpp       |    6 +-
 src/lisp/lisp.cpp  |  525 ++++++++++++++++++++++++++--------------------------
 src/lisp/lisp.h    |   29 +++-
 src/lisp/lisp_gc.h |    5 +
 src/loader2.cpp    |    2 +-
 src/menu.cpp       |    4 +-
 10 files changed, 376 insertions(+), 347 deletions(-)

Commit: 495
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:56:51 2011 +0000

    lisp: refactor the cache system.

 src/cache.cpp  |    4 +-
 src/lcache.cpp |  245 ++++++++++++++++++++++++++++++--------------------------
 src/lcache.h   |    8 +-
 3 files changed, 140 insertions(+), 117 deletions(-)

Commit: 494
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 21:56:44 2011 +0000

    style: remove trailing spaces, fix copyright statements.

 [...]
 218 files changed, 2669 insertions(+), 2456 deletions(-)

Commit: 493
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 13:58:41 2011 +0000

    lisp: refactor stuff for better type checking.

 src/ant.cpp          |    4 +-
 src/cache.cpp        |    2 +-
 src/chars.cpp        |   16 +-
 src/clisp.cpp        |   78 +++---
 src/cop.cpp          |    4 +-
 src/game.cpp         |    2 +-
 src/lcache.cpp       |    2 +-
 src/lisp/lisp.cpp    |  702 +++++++++++++++++++++++++-------------------------
 src/lisp/lisp.h      |   45 ++--
 src/lisp/lisp_gc.cpp |   24 +-
 src/menu.cpp         |    2 +-
 src/objects.cpp      |    6 +-
 src/particle.cpp     |    4 +-
 13 files changed, 451 insertions(+), 440 deletions(-)

Commit: 492
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:52 2011 +0000

    lisp: rename core classes to slightly shorter names (LispObject -> LObject).

 [...]
 28 files changed, 715 insertions(+), 716 deletions(-)

Commit: 491
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:48 2011 +0000

    lisp: miscellaneous work on type safety.

 src/ant.cpp           |    2 +-
 src/cache.cpp         |    2 +-
 src/chars.cpp         |   24 +++---
 src/clisp.cpp         |   22 +++---
 src/cop.cpp           |   16 ++--
 src/endgame.cpp       |    6 +-
 src/game.cpp          |    3 +-
 src/lcache.cpp        |    2 +-
 src/level.cpp         |    2 +-
 src/lisp/lisp.cpp     |  224 ++++++++++++++++++++++++------------------------
 src/lisp/lisp.h       |    5 +-
 src/lisp/lisp_gc.cpp  |   96 +++++++++++----------
 src/lisp/lisp_gc.h    |   28 ++++--
 src/lisp/lisp_opt.cpp |    8 +-
 src/objects.cpp       |  118 ++++++++++++--------------
 15 files changed, 282 insertions(+), 276 deletions(-)

Commit: 490
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:44 2011 +0000

    lisp: implement LispList::GetLength.

 src/collide.cpp       |    4 +-
 src/game.cpp          |    8 ++--
 src/imlib/image.cpp   |    8 ++--
 src/imlib/macs.h      |   19 ++------
 src/imlib/timage.cpp  |    2 +-
 src/items.cpp         |   16 +++---
 src/lcache.cpp        |    8 +--
 src/level.cpp         |    4 +-
 src/light.cpp         |    4 +-
 src/lisp/lisp.cpp     |  118 ++++++++++++++++++++++++------------------------
 src/lisp/lisp.h       |   10 +++--
 src/lisp/lisp_gc.cpp  |   12 +++---
 src/lisp/lisp_opt.cpp |   12 ++---
 src/lisp/lisp_opt.h   |    9 ++--
 src/menu.cpp          |    2 +-
 src/netcfg.cpp        |    1 -
 src/objects.cpp       |   18 ++++----
 src/seq.cpp           |    2 +-
 18 files changed, 121 insertions(+), 136 deletions(-)

Commit: 489
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:40 2011 +0000

    lisp: no LispSymbol members are anonymous pointers any longer.

 src/lisp/lisp.cpp     |   32 ++++++++++++++++----------------
 src/lisp/lisp.h       |   19 +++++++++----------
 src/lisp/lisp_gc.cpp  |    4 ++--
 src/lisp/lisp_opt.cpp |    5 ++++-
 src/lisp/lisp_opt.h   |    7 ++++++-
 src/menu.cpp          |    2 +-
 6 files changed, 38 insertions(+), 31 deletions(-)

Commit: 488
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:36 2011 +0000

    lisp: implement LispString::Create.

 src/clisp.cpp        |   24 ++++++------
 src/lcache.cpp       |    2 +-
 src/level.cpp        |    2 +-
 src/lisp/lisp.cpp    |   92 +++++++++++++++++++++++++-------------------------
 src/lisp/lisp.h      |   12 ++++--
 src/lisp/lisp_gc.cpp |    2 +-
 src/view.cpp         |    2 +-
 7 files changed, 70 insertions(+), 66 deletions(-)

Commit: 487
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:32 2011 +0000

    build: remove unused file ltree.cpp.

 src/ltree.cpp |   58 ---------------------------------------------------------
 1 files changed, 0 insertions(+), 58 deletions(-)

Commit: 486
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:28 2011 +0000

    lisp: implement LispNumber::Create.

 src/ant.cpp          |    8 +++---
 src/cache.cpp        |    2 +-
 src/chars.cpp        |    2 +-
 src/clisp.cpp        |   34 +++++++++++++++---------------
 src/cop.cpp          |   54 +++++++++++++++++++++++++-------------------------
 src/lcache.cpp       |    2 +-
 src/lisp/lisp.cpp    |   54 +++++++++++++++++++++++++-------------------------
 src/lisp/lisp.h      |    3 +-
 src/lisp/lisp_gc.cpp |    2 +-
 src/objects.cpp      |   22 ++++++++++----------
 10 files changed, 92 insertions(+), 91 deletions(-)

Commit: 485
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:24 2011 +0000

    lisp: discard unneeded return values from LispSymbol::SetValue et al.

 src/lisp/lisp.cpp |    7 ++-----
 src/lisp/lisp.h   |    4 ++--
 2 files changed, 4 insertions(+), 7 deletions(-)

Commit: 484
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:20 2011 +0000

    lisp: populate LispSymbol with symbol-related methods.

 [...]
 25 files changed, 397 insertions(+), 413 deletions(-)

Commit: 483
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:16 2011 +0000

    lisp: move all array-related functions to the LispArray struct.

 src/cop.cpp          |    8 ++--
 src/lisp/lisp.cpp    |  110 ++++++++++++++++++++++++++------------------------
 src/lisp/lisp.h      |   10 ++++-
 src/lisp/lisp_gc.cpp |   17 ++++----
 src/lisp/lisp_gc.h   |    2 +
 5 files changed, 79 insertions(+), 68 deletions(-)

Commit: 482
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:12 2011 +0000

    lisp: make all lisp object inherit a common type.

 src/ant.cpp           |    2 +-
 src/cache.cpp         |    2 +-
 src/chars.cpp         |    4 +-
 src/clisp.cpp         |   12 +-
 src/compiled.cpp      |    4 +-
 src/cop.cpp           |   10 +-
 src/game.cpp          |    4 +-
 src/lcache.cpp        |   18 +-
 src/level.cpp         |    4 +-
 src/lisp/lisp.cpp     |  450 ++++++++++++++++++++++++------------------------
 src/lisp/lisp.h       |  155 ++++++++---------
 src/lisp/lisp_gc.cpp  |   68 ++++----
 src/lisp/lisp_opt.cpp |    4 +-
 src/ltree.cpp         |   16 +-
 src/objects.cpp       |   54 +++---
 src/particle.cpp      |    2 +-
 src/view.cpp          |    6 +-
 17 files changed, 404 insertions(+), 411 deletions(-)

Commit: 481
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:28:05 2011 +0000

    Fuck the history, I'm renaming all .hpp files to .h for my own sanity.

 [...]
 328 files changed, 8520 insertions(+), 8520 deletions(-)

Commit: 480
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:27:59 2011 +0000

    lisp: start refactoring the core engine and garbage collector.

 src/game.cpp         |    4 +-
 src/lisp/lisp.cpp    |   79 +++++++------
 src/lisp/lisp.hpp    |    7 +-
 src/lisp/lisp_gc.cpp |  321 ++++++++++++++++++++++++++------------------------
 4 files changed, 214 insertions(+), 197 deletions(-)

Commit: 479
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Apr 17 08:27:50 2011 +0000

    sdlport: add music playback support through SDL_Mixer, courtesy of
    Jochen Schleu.

 configure.ac            |    5 +
 src/sdlport/Makefile.am |    1 +
 src/sdlport/hmi.cpp     |  326 +++++++++++++++++++++++++++++++++++++++++++++++
 src/sdlport/hmi.hpp     |    6 +
 src/sdlport/sound.cpp   |  122 ++++++++++++++++-
 src/sdlport/sound.hpp   |   11 ++
 6 files changed, 463 insertions(+), 8 deletions(-)

Commit: 478
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 15 16:45:49 2011 +0000

    build: add --enable-debug and --enable-release configure flags.

 configure.ac |   23 +++++++++++++++++++++--
 1 files changed, 21 insertions(+), 2 deletions(-)

Commit: 477
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 15 16:45:45 2011 +0000

    sdlport: do not hardcode screen size in event handlers, patch courtesy
    of Jochen Schleu.

 src/sdlport/event.cpp |    8 ++++----
 src/sdlport/mouse.cpp |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

Commit: 476
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 15 05:34:53 2011 +0000

    Fix a few compiler warnings caused by bad type punning.

 src/cache.cpp         |    2 +-
 src/imlib/palette.cpp |    6 +++---
 src/net/fileman.cpp   |    3 ++-
 src/netface.hpp       |    4 ++--
 4 files changed, 8 insertions(+), 7 deletions(-)

Commit: 475
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 13 16:40:59 2011 +0000

    Testing 2/2.

 INSTALL     |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 INSTALL.txt |   47 -----------------------------------------------
 2 files changed, 47 insertions(+), 47 deletions(-)

Commit: 474
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Apr 13 16:40:00 2011 +0000

    Testing 1/2.

 INSTALL     |   47 -----------------------------------------------
 INSTALL.txt |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 47 deletions(-)

Commit: 226
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Dec 4 00:50:30 2009 +0000

    Update bootstrap script.

 bootstrap |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

Commit: 162
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Aug 11 20:56:57 2009 +0000

    Fix numerous compiler warnings.

 src/cache.cpp         |   12 ++++++------
 src/director.cpp      |    4 ++++
 src/game.cpp          |    4 ++--
 src/imlib/palette.cpp |    4 ++--
 src/imlib/pmenu.cpp   |    4 +++-
 src/imlib/specs.cpp   |    6 ++++--
 src/imlib/video.hpp   |    2 +-
 src/lisp/lisp.cpp     |    2 +-
 src/loadgame.cpp      |    4 ++--
 src/net/tcpip.cpp     |    9 +++++----
 src/objects.cpp       |    2 ++
 src/sdlport/setup.cpp |    2 +-
 src/sdlport/video.cpp |    8 ++++----
 13 files changed, 37 insertions(+), 26 deletions(-)

Commit: 161
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Aug 11 20:56:54 2009 +0000

    Update my e-mail address and the bootstrap script.

 .gitignore |    1 +
 AUTHORS    |    2 +-
 bootstrap  |   19 +++++++++++--------
 3 files changed, 13 insertions(+), 9 deletions(-)

Commit: 160
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Aug 11 20:56:50 2009 +0000

    Get rid of acinclude.m4: modern operating systems provide everything we need.

 .gitignore   |   16 ++++++
 acinclude.m4 |  168 ----------------------------------------------------------
 configure.ac |    6 ++-
 3 files changed, 20 insertions(+), 170 deletions(-)

Commit: 151
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Tue Jul 1 16:22:32 2008 +0000

    localhost net testing enabled by setting client listen port to udp/20204 (main_net_cfg->port+2 instead of +1)

 src/innet.cpp      |    4 ++--
 src/net/netdrv.cpp |    6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

Commit: 150
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Mon Jun 30 16:26:46 2008 +0000

    Point tcpip debug logs at /tmp

 src/net/tcpip.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 149
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Tue Jun 24 15:50:47 2008 +0000

    EXPDATADIR from ./configure now written into new abuserc files

 src/sdlport/setup.cpp |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

Commit: 148
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Tue Jun 24 06:06:01 2008 +0000

    tcpip fd read/write log on until netcode works!

 src/net/tcpip.cpp |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

Commit: 147
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Tue Jun 24 05:06:18 2008 +0000

    Changed #net_crc reference to NET_CRC_FILENAME

 src/cache.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 146
Author: Justin Cassidy <justin@boil.afraid.org>
Date:   Tue Jun 24 02:17:12 2008 +0000

    compiled.cpp: added #include <malloc.h>, source now compiles.

 src/compiled.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 143
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Apr 12 20:57:19 2008 +0000

      * Removing more dead code.

 src/calctrig.cpp  |   38 ------
 src/keydrv.cpp    |  191 ----------------------------
 src/keytest.cpp   |   71 -----------
 src/lisp/trig.cpp |  340 +++++++++++++++++++++------------------------------
 src/pcxscale.cpp  |   45 -------
 src/remap.cpp     |   38 ------
 src/sndserver.cpp |  355 -----------------------------------------------------
 7 files changed, 138 insertions(+), 940 deletions(-)

Commit: 142
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Apr 12 19:38:21 2008 +0000

      * Remove 12 unused files (300 lines).

 src/Makefile.am               |    1 -
 src/client.cpp                |   20 --------------
 src/client.hpp                |   57 -----------------------------------------
 src/dosnfc.cpp                |   12 --------
 src/gamma.cpp                 |    7 ++++-
 src/human.cpp                 |   42 ------------------------------
 src/human.hpp                 |   32 -----------------------
 src/imlib/Makefile.am         |    1 -
 src/imlib/globals.cpp         |   13 ---------
 src/imlib/globals.hpp         |   21 ---------------
 src/language.cpp              |   20 --------------
 src/language.hpp              |   10 -------
 src/lcache2.cpp               |   30 ---------------------
 src/ramfile.cpp               |   29 ---------------------
 src/sdlport/video-overlay.cpp |    2 -
 src/sdlport/video.cpp         |    3 +-
 src/test2.cpp                 |   22 ----------------
 17 files changed, 8 insertions(+), 314 deletions(-)

Commit: 136
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Apr 11 10:09:19 2008 +0000

      * Removed 800 lines of unused code.

 TODO             |    6 +
 src/Makefile.am  |    1 -
 src/clisp.cpp    |   45 --------
 src/game.cpp     |   16 ---
 src/install.cpp  |  302 -------------------------------------------------
 src/maker.cpp    |  330 ------------------------------------------------------
 src/text_gui.cpp |  139 -----------------------
 src/text_gui.hpp |   27 -----
 8 files changed, 6 insertions(+), 860 deletions(-)

Commit: 134
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 10 21:08:14 2008 +0000

      * Removed 4300 lines of unused code.

 [...]
 46 files changed, 208 insertions(+), 4514 deletions(-)

Commit: 133
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Apr 10 21:07:07 2008 +0000

      * Made lisp.cpp slightly more readable by using an enum instead of hardcoded
        values for the system functions.

 src/lisp/Makefile.am |    2 +-
 src/lisp/lisp.cpp    |  982 +++++++++++++++++++++++---------------------------
 src/lisp/symbols.hpp |  222 ++++++++++++
 3 files changed, 668 insertions(+), 538 deletions(-)

Commit: 132
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 22 10:12:56 2008 +0000

      * Fix an aiming bug when creatures are too close to the player.

 src/cop.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 131
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 22 10:03:33 2008 +0000

      * Use strdup(foo) everywhere instead of strcpy(malloc(strlen(foo)+1),foo);

 src/cache.cpp         |    3 ++-
 src/chars.hpp         |   25 +++++++++++++------------
 src/clisp.cpp         |    6 +++---
 src/console.cpp       |    3 ++-
 src/dev.cpp           |    3 ++-
 src/imlib/guistat.cpp |    4 +++-
 src/imlib/input.cpp   |   10 ++++++----
 src/imlib/jwindow.cpp |    6 ++++--
 src/imlib/pmenu.cpp   |    6 ++++--
 src/imlib/specs.hpp   |    9 ++++++---
 src/imlib/status.cpp  |   10 ++++++----
 src/imlib/visobj.cpp  |    8 +++++---
 src/level.cpp         |    9 ++++-----
 src/oldhelp.cpp       |    6 ++++--
 src/property.cpp      |   16 ++++++++--------
 src/scene.cpp         |   13 +++++++------
 src/sdlport/jdir.cpp  |   11 ++++++-----
 src/sdlport/sound.cpp |    4 +++-
 src/specache.hpp      |    7 ++++---
 src/status.cpp        |    8 +++++---
 20 files changed, 97 insertions(+), 70 deletions(-)

Commit: 130
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 22 09:43:54 2008 +0000

      * Remove obsolete MANAGE_MEM macro.

 src/Makefile.am         |    2 +-
 src/imlib/Makefile.am   |    2 +-
 src/imlib/timage.cpp    |    6 ------
 src/lisp/Makefile.am    |    2 +-
 src/net/Makefile.am     |    2 +-
 src/sdlport/Makefile.am |    2 +-
 6 files changed, 5 insertions(+), 11 deletions(-)

Commit: 129
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 22 09:39:25 2008 +0000

      * Get rid of jmalloc and replace it with standard malloc. Modern operating
        systems certainly perform a lot better than this custom implementation,
        and we have superior tools (eg. valgrind) to debug and profile memory
        usage without interfering with the code itself.

 [...]
 91 files changed, 423 insertions(+), 1573 deletions(-)

Commit: 128
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 22 08:39:01 2008 +0000

      * Minor refactoring in imlib.

 src/imlib/decoder.cpp  |  558 +++++++++++++++++++++++-------------------------
 src/imlib/filter.cpp   |   33 +---
 src/imlib/gifdecod.hpp |    4 +-
 src/imlib/gifread.cpp  |    2 +
 src/imlib/glread.cpp   |    2 +-
 src/imlib/image.hpp    |    4 +
 src/imlib/jwindow.cpp  |    2 -
 7 files changed, 279 insertions(+), 326 deletions(-)

Commit: 127
Author: Sam Hocevar <sam@hocevar.net>
Date:   Wed Mar 19 01:42:12 2008 +0000

      * Renamed the "game" class into "Game" and started cleaning it up. There is
        still a very long way to go.

 src/game.cpp |  300 +++++++++++++++++++---------------------------------------
 src/game.hpp |   13 ++-
 2 files changed, 103 insertions(+), 210 deletions(-)

Commit: 126
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 18 22:22:51 2008 +0000

      * Implement game_object::set_tint, get_tint, set_team and get_team, as
        well as the corresponding set_object_tint, get_object_tint, set_object_team
        and get_object_team LISP functions. They'll be useful for CTF mode.
        Inspired by Abuse Win32 changelog from February 18, 2001:
            - Changed lisp function (set_player_color x) to
                    (set_object_tint x)
            - Added lisp function (get_object_tint)
        Inspired by Abuse Win32 changelog from February 17, 2001:
            - Added lisp function (set_player_color x) to switch player
                    to color number x
                    see chat.lsp for details

 src/clisp.cpp   |   34 ++++++++++++++++++++++++++++++----
 src/cop.cpp     |   18 +++++++++---------
 src/extend.cpp  |    6 ++++++
 src/extend.hpp  |    4 ++--
 src/innet.cpp   |    2 +-
 src/objects.cpp |   25 +++++++++++++++++--------
 src/objects.hpp |   19 ++++++++++++++++++-
 src/view.cpp    |   33 ++++++++++++++++++++++++++++++++-
 src/view.hpp    |   12 ++++++++++--
 9 files changed, 125 insertions(+), 28 deletions(-)

Commit: 125
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 18 21:40:37 2008 +0000

      * Minor style changes.

 src/light.cpp       |    8 ++++----
 src/lisp/lisp.cpp   |    3 ++-
 src/net/fileman.cpp |    2 +-
 src/net/sock.hpp    |   22 +++++++++++-----------
 4 files changed, 18 insertions(+), 17 deletions(-)

Commit: 124
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 18 20:36:56 2008 +0000

      * Get rid of ugly tabs and trailing spaces everywhere.

 [...]
 212 files changed, 13551 insertions(+), 13550 deletions(-)

Commit: 123
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 23:05:08 2008 +0000

      * Cleaned up cache.cpp.
      * Renamed stupid "cash" variable into "cache".
      * Rename cache_list and crc_manager into CacheList and CrcManager.

 [...]
 34 files changed, 541 insertions(+), 535 deletions(-)

Commit: 121
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 20:41:31 2008 +0000

      * Fix a few potential crashes due to NULL object deletion.

 src/game.cpp |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

Commit: 120
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 02:25:09 2008 +0000

      * Cosmetic: rename window into Jwindow, window_manager into WindowManager
        and input_manager into InputManager.

 [...]
 37 files changed, 215 insertions(+), 217 deletions(-)

Commit: 119
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 02:08:53 2008 +0000

      * The small jwindow constructor can now take a name argument.

 src/imlib/jwindow.cpp   |    6 +++++-
 src/imlib/jwindow.hpp   |    2 +-
 src/ui/volumewindow.cpp |    2 +-
 3 files changed, 7 insertions(+), 3 deletions(-)

Commit: 118
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 01:53:51 2008 +0000

      * Create a VolumeWindow class with most of the volume_window stuff and
        moved it to src/ui/volumewindow.cpp.

 src/Makefile.am         |    2 +
 src/menu.cpp            |  215 +++++++++++++++++------------------------------
 src/ui/volumewindow.cpp |   80 +++++++++++++++++
 src/ui/volumewindow.hpp |   30 +++++++
 4 files changed, 190 insertions(+), 137 deletions(-)

Commit: 117
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 01:53:08 2008 +0000

      * Make jwindow::redraw virtual so that subclasses can implement theirs.
      * Fix initialisation of _x1 and _y1 in argumentless jwindow::jwindow.

 src/imlib/jwindow.cpp |    6 +++++-
 src/imlib/jwindow.hpp |    2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

Commit: 116
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 17 00:14:12 2008 +0000

      * Only delete objects in ~jwindow that were really allocated.

 src/imlib/jwindow.cpp |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

Commit: 115
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 21:51:54 2008 +0000

      * Add lock() and unlock() methods to jimage objects. They're no-ops, but
        the Win32/DirectX version uses them all over the place because it uses
        DirectDraw surfaces. One day we may wish to merge Abuse Win32's video
        output, or to use the SDL blending functions. You never know.

 src/automap.cpp        |    7 +-
 src/dev.cpp            |    7 +-
 src/game.cpp           |    2 +
 src/imlib/filter.cpp   |  121 +++--
 src/imlib/glread.cpp   |   12 +-
 src/imlib/image.cpp    |  787 ++++++++++++++++------------
 src/imlib/image.hpp    |  305 +++++++-----
 src/imlib/morph.cpp    |    6 +
 src/imlib/scroller.cpp |    2 +
 src/imlib/timage.cpp   | 1335 ++++++++++++++++++++++++------------------------
 src/level.cpp          |    6 +-
 src/light.cpp          |   11 +-
 src/menu.cpp           |    4 +
 src/particle.cpp       |  133 +++---
 14 files changed, 1485 insertions(+), 1253 deletions(-)

Commit: 114
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 16:20:54 2008 +0000

      * Minor spelling fixes.

 src/imlib/filter.cpp |    2 +-
 src/imlib/image.cpp  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 113
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 13:41:59 2008 +0000

      * Got rid of all the remaining occurrences of WINDOW_FRAME_*.

 src/dev.cpp           | 3674 +++++++++++++++++++++++++------------------------
 src/game.cpp          |    4 +-
 src/imlib/jwindow.cpp |    1 -
 src/loadgame.cpp      |    4 +-
 src/menu.cpp          |    2 +-
 src/netcfg.cpp        |   10 +-
 src/unixnfc.cpp       |   11 +-
 7 files changed, 1859 insertions(+), 1847 deletions(-)

Commit: 112
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 11:52:51 2008 +0000

      * Fix spelling errors all over the place.

 [...]
 28 files changed, 160 insertions(+), 153 deletions(-)

Commit: 111
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 01:17:43 2008 +0000

      * Simplified the window creation arguments. Got rid of a lot of macros
        and hid stuff in private namespaces.
        Inspired by Win32 Abuse changelog for January 28, 2001:
            - Well, in the process of adding changes necessary to
                    handle recovery from alt-tabbing away from Abuse
                    (which is why I was updating jwindow::redraw()),
                    the entire windowing system is getting an overhaul.
                    It's gonna be sweet when I'm done, though.
            - jwindow::redraw() has been changed to a virtual
                    function requiring no parameters.  This'll make
                    it much easier to implement special specific-
                    purpose windows.

 src/automap.cpp       |   33 +++--
 src/chat.cpp          |   15 +-
 src/dev.cpp           |    4 +
 src/game.cpp          |   14 +--
 src/gamma.cpp         |    7 +-
 src/imlib/filesel.cpp |   15 +-
 src/imlib/guistat.cpp |   13 +-
 src/imlib/jwindow.cpp |  348 ++++++++++++++++++++++++++++++++-----------------
 src/imlib/jwindow.hpp |  171 +++++++++++++------------
 src/imlib/pmenu.cpp   |   13 +-
 src/innet.cpp         |   14 +--
 src/loadgame.cpp      |    6 +-
 src/menu.cpp          |    3 +-
 src/net/gserver.cpp   |    5 +-
 src/netcfg.cpp        |    4 +-
 src/profile.cpp       |    2 +-
 16 files changed, 387 insertions(+), 280 deletions(-)

Commit: 110
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 16 00:19:21 2008 +0000

      * Changed coding style in gamma.cpp.

 src/gamma.cpp |  384 ++++++++++++++++++++++++++------------------------------
 1 files changed, 178 insertions(+), 206 deletions(-)

Commit: 109
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 15 21:19:47 2008 +0000

      * Started cleaning up jwindow.cpp, preparing everything for future
        Abuse Win32 merges.

 src/imlib/input.cpp   |    8 ++
 src/imlib/input.hpp   |    3 +-
 src/imlib/jwindow.cpp |  190 ++++++++++++++++++++++++++++++------------------
 src/imlib/jwindow.hpp |  116 ++++++++++++++++++------------
 src/imlib/pmenu.cpp   |    4 +-
 5 files changed, 202 insertions(+), 119 deletions(-)

Commit: 108
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 15 08:23:11 2008 +0000

      * Remove unused ipx.hpp file. Let's stick to IP.

 src/net/ipx.hpp |  371 -------------------------------------------------------
 1 files changed, 0 insertions(+), 371 deletions(-)

Commit: 107
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 15 08:19:50 2008 +0000

      * Remove #pragma directives. They're unknown to us.

 src/dev.cpp           |    8 --------
 src/imlib/guistat.cpp |    8 --------
 src/imlib/input.cpp   |    8 --------
 3 files changed, 0 insertions(+), 24 deletions(-)

Commit: 106
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 14 23:55:44 2008 +0000

      * Rename the "eh" variable to "wm" because it's a window manager, not an
        event handler.
      * No longer pass the window manager to functions, there's only one.
        Inspired by Win32 Abuse changelog for January 28, 2001:
            - Starting work on singleton code; will get rid of all
                    references to an arbitrary window_manager* because
                    there's only going to be one, and it's not ever
                    going to change.

 [...]
 50 files changed, 813 insertions(+), 826 deletions(-)

Commit: 105
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 14 22:00:51 2008 +0000

      * Rename arrays to avoid having a variable called "wm".
        Inspired by Win32 Abuse changelog for January 28, 2001:
            - renamed wm[] array in dev.cpp to WinMenus so that it
                    doesn't have a name collision with the satic wm
                    singleton.

 src/dev.cpp |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

Commit: 104
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 14 21:56:17 2008 +0000

      * Add $(SDL_CFLAGS) to INCLUDES in sub-Makefiles, too.

 src/imlib/Makefile.am |    2 +-
 src/lisp/Makefile.am  |    2 +-
 src/net/Makefile.am   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Commit: 97
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 9 18:22:52 2008 +0000

      * Updated the Mac OS X port, thanks to Julian Mayer.

 [...]
 25 files changed, 1216 insertions(+), 4215 deletions(-)

Commit: 95
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 8 15:14:08 2008 +0000

      * Get rid of missing_c (Closes: #14).

 src/game.cpp |   13 +------------
 1 files changed, 1 insertions(+), 12 deletions(-)

Commit: 94
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 7 19:32:14 2008 +0000

      * Prevent a crash if create_listen_socket() fails.

 src/net/tcpip.cpp |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

Commit: 93
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 7 19:31:51 2008 +0000

      * Set key_map to NULL after freeing it to avoid a crash in
        get_key_bindings().

 src/config.cpp |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

Commit: 92
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Mar 7 19:30:44 2008 +0000

      * Fix major/minor values in the LISP engine: it's the engine's version,
        not the software's.

 src/clisp.cpp |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

Commit: 91
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 16:14:23 2008 +0000

      * trig.cpp belongs to the LISP stuff, moving it in lisp/.

 src/Makefile.am      |    1 -
 src/lisp/Makefile.am |    1 +
 src/lisp/trig.cpp    |  215 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/trig.cpp         |  215 --------------------------------------------------
 4 files changed, 216 insertions(+), 216 deletions(-)

Commit: 90
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 14:18:30 2008 +0000

      * Get rid of __WATCOMC__ tests.

 src/imlib/filesel.cpp |    4 -
 src/imlib/jmalloc.cpp |   33 -----
 src/imlib/specs.cpp   |    3 -
 src/imlib/system.h    |   21 +---
 src/innet.cpp         |    4 -
 src/install.cpp       |   10 +-
 src/light.cpp         |   88 ------------
 src/maker.cpp         |   53 +-------
 src/net/fileman.cpp   |    9 +-
 src/newlight.cpp      |   19 ---
 src/old_server.cpp    |    7 +-
 src/text_gui.cpp      |  368 +------------------------------------------------
 src/text_gui.hpp      |    1 -
 src/username.cpp      |    9 --
 src/view.cpp          |   20 +--
 15 files changed, 22 insertions(+), 627 deletions(-)

Commit: 89
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 14:03:29 2008 +0000

      * Delete old, unused, Watcom C-specific setup.cpp.

 src/setup.cpp |  250 ---------------------------------------------------------
 1 files changed, 0 insertions(+), 250 deletions(-)

Commit: 88
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 14:00:35 2008 +0000

      * Remove a few duplicate extern declarations. They belong to header files.

 src/config.cpp        |    3 +--
 src/console.cpp       |    4 ++--
 src/demo.cpp          |    4 ++--
 src/dev.hpp           |    3 +++
 src/game.cpp          |    6 ++----
 src/game.hpp          |    5 ++++-
 src/gamma.cpp         |    4 ++--
 src/loadgame.cpp      |    5 ++---
 src/menu.cpp          |    4 ++--
 src/netcfg.cpp        |    4 +++-
 src/profile.cpp       |    5 +++--
 src/sdlport/event.cpp |    1 -
 src/setup.cpp         |    3 ++-
 src/view.cpp          |    4 +++-
 14 files changed, 31 insertions(+), 24 deletions(-)

Commit: 87
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 13:33:39 2008 +0000

      * Get rid of version.cpp and reimplement show_verinfo() as a simple printf.

 src/Makefile.am |    1 -
 src/clisp.cpp   |    4 +-
 src/game.cpp    |    3 +-
 src/version.cpp |   69 -------------------------------------------------------
 4 files changed, 3 insertions(+), 74 deletions(-)

Commit: 86
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 13:10:10 2008 +0000

      * Get rid of nonexistent macify_name() function. According to the original
        source tree, this function simply replaced slashes with underscores in
        filenames.

 src/cache.cpp       |    5 -----
 src/game.cpp        |    8 --------
 src/imlib/specs.cpp |   32 ++++++--------------------------
 3 files changed, 6 insertions(+), 39 deletions(-)

Commit: 85
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Mar 6 13:06:58 2008 +0000

      * Started refactoring game.cpp. Currently, just coding style stuff (adding
        spaces after commas, getting rid of unreadable 2-spaces indentation...).

 src/game.cpp | 3765 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1880 insertions(+), 1885 deletions(-)

Commit: 76
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 4 17:26:43 2008 +0000

      * Fix a crash when Alt-F4 is pressed during the intro screen. Fix courtesy
        of Fedora maintainer Hans de Goede.

 src/game.cpp |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

Commit: 75
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 4 17:25:26 2008 +0000

      * Fix grow_stack callers so that they don't allocate 4 or 8 times too much
        memory. Thanks to Fedora maintainer Hans de Goede for reporting this.

 src/lisp/lisp_gc.cpp |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

Commit: 74
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 4 17:08:07 2008 +0000

      * Cleaned up stack.hpp and moved it to src/lisp/.

 osx/abuse_sdl.pbproj/project.pbxproj |    2 +-
 src/Makefile.am                      |    2 +-
 src/lisp/Makefile.am                 |    1 +
 src/lisp/stack.hpp                   |   71 ++++++++++++++++++++++++++++++++++
 src/stack.hpp                        |   53 -------------------------
 5 files changed, 74 insertions(+), 55 deletions(-)

Commit: 73
Author: Sam Hocevar <sam@hocevar.net>
Date:   Tue Mar 4 16:40:51 2008 +0000

      * stack.cpp is unused (everything is in stack.hpp). Removing it.

 osx/abuse_sdl.pbproj/project.pbxproj |    6 -----
 src/stack.cpp                        |   37 ----------------------------------
 2 files changed, 0 insertions(+), 43 deletions(-)

Commit: 72
Author: Sam Hocevar <sam@hocevar.net>
Date:   Mon Mar 3 19:42:24 2008 +0000

      * Fix typo in AUTHORS.

 AUTHORS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 68
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 19:42:24 2008 +0000

      * Version 0.7.1 is ready.

 ChangeLog             |   63 +++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS                  |    6 ++++
 README                |   12 ++++----
 configure.ac          |    5 +---
 src/sdlport/setup.cpp |    2 +-
 5 files changed, 77 insertions(+), 11 deletions(-)

Commit: 67
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 19:17:29 2008 +0000

      * Fix uninitialised class members.

 src/dev.cpp |    1 +
 src/gui.cpp |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

Commit: 66
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 18:43:35 2008 +0000

      * Added the proper .h and .hpp files to _SOURCES variables. As a result,
        "make dist" now generates a buildable tarball.

 [...]
 40 files changed, 300 insertions(+), 750 deletions(-)

Commit: 65
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 17:01:06 2008 +0000

      * Add a temporary ChangeLog file.

 ChangeLog | 1499 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1499 insertions(+), 0 deletions(-)

Commit: 64
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 16:59:29 2008 +0000

      * Rename ChangeLog into NEWS and add myself to AUTHORS.

 AUTHORS   |    3 +
 ChangeLog |  132 -------------------------------------------------------------
 NEWS      |  132 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 135 insertions(+), 132 deletions(-)

Commit: 63
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 16:49:22 2008 +0000

      * Minor cleanup.

 src/chmorph.cpp |   34 ----------------------------------
 src/chmorph.hpp |   23 -----------------------
 src/game.cpp    |    2 +-
 3 files changed, 1 insertions(+), 58 deletions(-)

Commit: 62
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 16:35:46 2008 +0000

      * Moved some LISP stuff into src/lisp and removed unused lisp_mac.cpp file.

 configure.ac          |    1 +
 src/Makefile.am       |   15 +-
 src/cache.hpp         |    4 +-
 src/extend.hpp        |    3 +-
 src/lisp.cpp          | 3316 -------------------------------------------------
 src/lisp.hpp          |  228 ----
 src/lisp/Makefile.am  |   12 +
 src/lisp/lisp.cpp     | 3316 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/lisp/lisp.hpp     |  228 ++++
 src/lisp/lisp_gc.cpp  |  275 ++++
 src/lisp/lisp_gc.hpp  |   29 +
 src/lisp/lisp_opt.cpp |  127 ++
 src/lisp/lisp_opt.hpp |   18 +
 src/lisp2.hpp         |  135 --
 src/lisp_gc.cpp       |  275 ----
 src/lisp_gc.hpp       |   29 -
 src/lisp_mac.cpp      |   93 --
 src/lisp_opt.cpp      |  127 --
 src/lisp_opt.hpp      |   18 -
 src/loader2.hpp       |    3 +-
 20 files changed, 4021 insertions(+), 4231 deletions(-)

Commit: 61
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 16:07:11 2008 +0000

      * Get rid of game registration handling. All versions of Abuse are now
        registered, I guess.

 src/clisp.cpp       |   10 ++--------
 src/cop.cpp         |   30 +++++++++++-------------------
 src/dev.cpp         |   20 +++++++-------------
 src/game.cpp        |   40 ++--------------------------------------
 src/innet.cpp       |   17 ++---------------
 src/menu.cpp        |    3 +--
 src/net/gclient.cpp |    1 -
 src/net/gserver.cpp |    3 +--
 src/net/netdrv.cpp  |   15 ++-------------
 src/unixnfc.cpp     |    5 ++---
 10 files changed, 30 insertions(+), 114 deletions(-)

Commit: 60
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 15:41:48 2008 +0000

      * Make a few symbols static (Ref #7).

 src/ant.cpp     |    4 ++--
 src/cache.cpp   |    4 ++--
 src/config.cpp  |    2 +-
 src/cop.cpp     |    2 +-
 src/dev.cpp     |   14 +++++++-------
 src/endgame.cpp |    2 +-
 src/game.cpp    |    3 ---
 src/lisp.cpp    |   10 +++++-----
 src/menu.cpp    |   20 ++++++++++----------
 9 files changed, 29 insertions(+), 32 deletions(-)

Commit: 59
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 15:33:10 2008 +0000

      * Delete unused file old_earth_menu.cpp.

 osx/abuse_sdl.pbproj/project.pbxproj |    6 -
 src/old_earth_menu.cpp               |  714 ----------------------------------
 2 files changed, 0 insertions(+), 720 deletions(-)

Commit: 58
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 15:02:22 2008 +0000

      * Remove a few duplicate prototype declarations.
      * Add some harmless "%s" in sprintf() calls.

 src/ant.cpp           |    2 --
 src/cache.cpp         |    2 +-
 src/clisp.hpp         |    3 ---
 src/imlib/jmalloc.cpp |    4 +---
 src/innet.cpp         |    6 +++---
 src/lisp.cpp          |    4 ----
 src/menu.cpp          |    2 --
 src/nfserver.hpp      |    1 -
 8 files changed, 5 insertions(+), 19 deletions(-)

Commit: 57
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 14:23:26 2008 +0000

      * Move each header to the same directory as its corresponding source, to
        get a better idea of which files are likely to export symbols.

 [...]
 296 files changed, 8819 insertions(+), 8819 deletions(-)

Commit: 56
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 14:03:36 2008 +0000

      * Add licensing terms to most C / C++ files (Ref #5).

 [...]
 290 files changed, 3220 insertions(+), 437 deletions(-)

Commit: 48
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 02:01:00 2008 +0000

      * Add autom4te.cache to the svn:ignore list.

Commit: 43
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 00:58:48 2008 +0000

      * Fix argument types in lisp_cos(), lisp_sin() and lisp_atan() to avoid
        overflows. Closes #1 #2 #3.

 src/calctrig.cpp      |    4 ++--
 src/include/lisp.hpp  |   10 +++++-----
 src/include/lisp2.hpp |   10 +++++-----
 src/lisp.cpp          |   22 +++++++++++-----------
 src/trig.cpp          |    6 ++++--
 5 files changed, 27 insertions(+), 25 deletions(-)

Commit: 42
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 00:17:35 2008 +0000

      * Rename everything to "abuse" instead of "abuse-sdl".

 Makefile.am     |    4 +-
 abuse-sdl.6.in  |  142 -------------------------------------------------------
 abuse.6.in      |  142 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac    |   37 +++++++-------
 src/Makefile.am |    8 ++--
 5 files changed, 167 insertions(+), 166 deletions(-)

Commit: 41
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Mar 2 00:12:38 2008 +0000

      * Generate a config.h file.

 configure.ac          |    1 +
 src/cache.cpp         |   13 ++++++++-----
 src/sdlport/setup.cpp |    3 +++
 src/setup.cpp         |    2 ++
 4 files changed, 14 insertions(+), 5 deletions(-)

Commit: 40
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 23:52:07 2008 +0000

      * Fix a few more warnings.
      * Remove -Wshadow from the warnings because it is too verbose for now.
      * Remove warning flags that have no meaning in C++.

 configure.ac              |    2 +-
 src/dev.cpp               |    2 +-
 src/imlib/gifread.cpp     |    6 +++---
 src/imlib/jmalloc.cpp     |    7 +++++--
 src/imlib/targa.cpp       |    2 +-
 src/loader2.cpp           |    2 +-
 src/net/include/tcpip.hpp |    2 +-
 src/net/tcpip.cpp         |    8 ++++++--
 src/objects.cpp           |    8 ++++----
 src/property.cpp          |    2 +-
 src/view.cpp              |    8 ++++----
 11 files changed, 28 insertions(+), 21 deletions(-)

Commit: 39
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 23:29:06 2008 +0000

      * Fix almost 2,000 warnings by using proper "const" keywords where needed.

 [...]
 97 files changed, 1001 insertions(+), 989 deletions(-)

Commit: 38
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 19:49:55 2008 +0000

      * Fix incomplete svn:ignore properties here and there.

Commit: 37
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 19:47:57 2008 +0000

      * Activate shitloads of warnings.

 configure.ac |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Commit: 32
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 14:08:00 2008 +0000

      * Reorganised build system:
        + Renamed configure.in to configure.ac.
        + Add a bootstrap script.
        + Put autotools files in .auto/.
        + svn:ignore generated files.

 Makefile.am   |    2 +-
 aclocal.m4    | 3615 ----------------------
 bootstrap     |  129 +
 config.guess  | 1459 ---------
 config.sub    | 1549 ----------
 configure     | 9299 ---------------------------------------------------------
 configure.ac  |   94 +
 configure.in  |   98 -
 install-sh    |  251 --
 ltmain.sh     | 4946 ------------------------------
 missing       |  190 --
 mkinstalldirs |   40 -
 12 files changed, 224 insertions(+), 21448 deletions(-)

Commit: 31
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 13:58:40 2008 +0000

      * Fix invalid file pointer usage, thanks to Kees Cook.

 src/light.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 30
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 13:58:14 2008 +0000

      * Fix heap corruption and resulting at-exit crash, thanks to Kees Cook.

 src/include/stack.hpp |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

Commit: 29
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 13:56:07 2008 +0000

      * Fix header inclusion order in version.cpp, thanks to Kees Cook.

 src/version.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 28
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Mar 1 13:55:00 2008 +0000

      * Fix missing long -> int32_t change from an old patch by Maximiliano Curia.

 src/include/compiled.hpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 23
Author: Sam Hocevar <sam@hocevar.net>
Date:   Fri Nov 11 12:05:33 2005 +0000

      * Closing the window quits the game.

 src/sdlport/event.cpp |   17 +----------------
 1 files changed, 1 insertions(+), 16 deletions(-)

Commit: 22
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 23:41:50 2005 +0000

      * removed useless stuff from SVN.

 Makefile.in             |  414 -----------------------------------------
 src/Makefile.in         |  468 -----------------------------------------------
 src/imlib/Makefile.in   |  361 ------------------------------------
 src/net/Makefile.in     |  344 ----------------------------------
 src/sdlport/Makefile.in |  346 ----------------------------------
 5 files changed, 0 insertions(+), 1933 deletions(-)

Commit: 21
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 22:58:24 2005 +0000

      * removed useless files

 src/Makefile.am.bak         |   25 -------------------------
 src/imlib/Makefile.am.bak   |   17 -----------------
 src/sdlport/Makefile.am.bak |   11 -----------
 3 files changed, 0 insertions(+), 53 deletions(-)

Commit: 20
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 22:50:40 2005 +0000

      * disabled GC, caching system and custom malloc.

 src/include/lcache.hpp |    2 +-
 src/lisp.cpp           |    2 ++
 src/lisp_gc.cpp        |    2 ++
 3 files changed, 5 insertions(+), 1 deletions(-)

Commit: 19
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 22:01:43 2005 +0000

      * cosmetic: s/allign/align/

 src/imlib/image.cpp         |    4 ++--
 src/imlib/include/image.hpp |    2 +-
 src/imlib/readwav.cpp       |    4 ++--
 src/include/bus_type.hpp    |   16 ++++++++--------
 src/include/lisp.hpp        |    2 +-
 src/lcache.cpp              |    2 +-
 src/lisp.cpp                |    2 +-
 7 files changed, 16 insertions(+), 16 deletions(-)

Commit: 18
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 20:44:53 2005 +0000

      * renamed RC_C RC_S RC_L to RC_8 RC_16 RC_32

 src/include/objects.hpp |    6 ++--
 src/level.cpp           |   66 +++++++++++++++++++++---------------------
 src/objects.cpp         |   72 +++++++++++++++++++++++-----------------------
 3 files changed, 72 insertions(+), 72 deletions(-)

Commit: 17
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 20:41:13 2005 +0000

      * absolute shitloads of 64 bit fixes.

 [...]
 87 files changed, 1649 insertions(+), 1674 deletions(-)

Commit: 16
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 19:08:09 2005 +0000

      * shitloads of long -> int32_t changes for 64 bit safety.

 [...]
 24 files changed, 587 insertions(+), 583 deletions(-)

Commit: 15
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 19:04:02 2005 +0000

      * fixed 64 bit issues in palette::getquad and palette::fade_to.

 src/imlib/include/palette.hpp |    2 +-
 src/imlib/palette.cpp         |   18 +++++++++++-------
 2 files changed, 12 insertions(+), 8 deletions(-)

Commit: 14
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 19:02:54 2005 +0000

      * fix C++ warning with classes that have virtual functions but not virtual dtor.

 src/imlib/include/status.hpp |    1 +
 src/imlib/include/visobj.hpp |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

Commit: 13
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 18:17:17 2005 +0000

      * fixed bad format string

 src/net/gclient.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 12
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 16:31:21 2005 +0000

      * don't manage libtool using SVN.

 libtool | 5229 ---------------------------------------------------------------
 1 files changed, 0 insertions(+), 5229 deletions(-)

Commit: 11
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 16:28:36 2005 +0000

      * fixed 64 bit issues here and there.

 src/include/lisp.hpp  |   26 ++++++++++++++------------
 src/lisp.cpp          |   33 +++++++++++++++++----------------
 src/sdlport/sound.cpp |    2 +-
 3 files changed, 32 insertions(+), 29 deletions(-)

Commit: 10
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 16:24:19 2005 +0000

      * cosmetic

 src/cache.cpp |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

Commit: 9
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 16:15:07 2005 +0000

      * minor cosmetic changes

 src/game.cpp    |    2 +-
 src/loader2.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 8
Author: Sam Hocevar <sam@hocevar.net>
Date:   Thu Nov 10 15:50:04 2005 +0000

      * fixed buffer overflows.

 src/imlib/jmalloc.cpp |    2 +-
 src/light.cpp         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 7
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Nov 6 18:07:59 2005 +0000

      * fixed int size issues here and there

 src/imlib/include/specs.hpp |   35 ++++++------
 src/imlib/include/system.h  |   11 ++--
 src/imlib/jmalloc.cpp       |  123 ++++++++++++++++++++-------------------
 src/imlib/specs.cpp         |  135 ++++++++++++++++++++++---------------------
 4 files changed, 156 insertions(+), 148 deletions(-)

Commit: 6
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Nov 6 17:27:27 2005 +0000

      * fixed buffer overflow

 src/sdlport/setup.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 5
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Nov 6 17:27:09 2005 +0000

      * fixed a warning

 src/net/include/sock.hpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 4
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sun Nov 6 10:39:38 2005 +0000

      * debian patches

 [...]
 46 files changed, 735 insertions(+), 396 deletions(-)

Commit: 2
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Nov 5 14:38:39 2005 +0000

      * imported original 0.7.0 tarball

 [...]
 354 files changed, 105042 insertions(+), 0 deletions(-)

Commit: 1
Author: Sam Hocevar <sam@hocevar.net>
Date:   Sat Nov 5 14:38:39 2005 +0000

      * Creating repository.
